<template>
  <div class="app-container">
    <el-row :gutter="20">
      <el-col :xs="9" :sm="6" :md="5" :lg="4" :xl="4">
        <patrol-objectType ref="patrolObjectType" @changeLayer="changeLayer" />
      </el-col>
      <el-col :xs="15" :sm="18" :md="19" :lg="20" :xl="20">
        <patrol-object ref="patrolObject" />
      </el-col>
    </el-row>
  </div>
</template>

<script>
import PatrolObjectType from './Layer'
import PatrolObject from './Meta'
export default {
  name: '',
  components: { PatrolObjectType, PatrolObject },
  data() {
    return {}
  },
  methods: {
    changeLayer(data) {
      this.$refs.patrolObject.query.layerID = data.id
      this.$refs.patrolObject.crud.toQuery()
    }
  }
}
</script>

<style></style>
